import {
  Annotation,
  Decorator,
} from '@overflow/commons/core/reflect';

import {
  PropertyKeyType,
} from '@overflow/commons/core/type';

export class RunnerAnnotation implements Annotation {

  public methodDecorator<T>(target: Object, propertyKey: PropertyKeyType,
                            descriptor: TypedPropertyDescriptor<T>): TypedPropertyDescriptor<T> | void {
    console.log('Runner');
  }

}

export const Runner = Decorator.create(RunnerAnnotation);
